Bug 65198 - Converting Boot Partition to ext3 seems not to work
Summary: Converting Boot Partition to ext3 seems not to work
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mkinitrd (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Erik Troan
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-05-20 01:46 UTC by Need Real Name
Modified: 2007-04-18 16:42 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-05-21 23:01:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2002-05-20 01:46:10 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0rc2) Gecko/20020510

Description of problem:
The bug is in the part of the installation that updates the grub.conf file. When
converting an ext2 boot partition to ext3, it needs to add a an initrd line. But
it does not do that properly if the old grub.conf file had been customized by
hand and had a commented line originally.

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
1) Configure a RH 7.2 system to use ext3 on the boot partition.

2) Edit the grub.conf file and add a commented copy of the kernel line right
below the original "kernel /boot/vmlinuz..." line

3) Do the RH7.3 upgrade and ask it to convert the boot partition to ext3

Actual Results:  It created a journal and updated the /etc/fstab. It even
created the appropriate /boot/initrd-2.4.18-3.img file. But it forgot a newline
or something when it updated the grub.conf file. It had the following:

title Red Hat Linux (2.4.18-3)
	root (hd0,2)
	kernel /boot/vmlinuz-2.4.18-3 ro root=/dev/hda3 hdc=ide-scsi 
# 	kernel /boot/vmlinuz-2.4.7-10 ro root=/dev/hda3 hdc=ide-scsiinitrd
/boot/initrd-2.4.18-3.img

As you can see, the initrd line was stuck on the end of the previously commented
out line rather than on a newline immediately following the new kernel line.

The result was the appearance that the conversion to ext3 had not taken place.

Expected Results:  It should have made sure that the initrd line started at the
beginning of the line.



Additional info:

Comment 1 Erik Troan 2002-05-21 23:01:33 UTC
I hope there was actually a " " before the initrd that was added to the
commented line?

Comment 2 Erik Troan 2002-05-22 03:03:10 UTC
fixed in CVS -- will be in mkinitrd > 3.3.11 (not sure if it will be 3.3.12
or 3.4)


Note You need to log in before you can comment on or make changes to this bug.